# Gimp.pixbuf_create_buffer

    @accepts(GdkPixbuf.Pixbuf)
    @returns(Gegl.Buffer)
    def pixbuf_create_buffer(pixbuf):
        # Python wrapper for gimp_pixbuf_create_buffer()

Returns a Gegl.Buffer that's either backed by the pixbuf's pixels, or a copy of them. This function tries to not copy the pixbuf's pixels. If the pixbuf's rowstride is a multiple of its bpp, a simple reference to the pixbuf's pixels is made and pixbuf will be kept around for as long as the buffer exists; otherwise the pixels are copied.

Since 2.10

pixbuf

  a GdkPixbuf.Pixbuf

Returns